from adg_control import AdgClient, ADG_EXE, ADG_DIR
from parser import Parser


def main():
    parser = Parser("./test")
    client = AdgClient(ADG_EXE, ADG_DIR)

    c1 = parser.commands[0]
    c1.execute(client)

    c2 = parser.commands[1]
    c2.execute(client)

    c3 = parser.commands[2]
    c3.execute(client)


if __name__ == "__main__":
    main()
